summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2013-01-10 13:55:31 +0100
committerHolger Levsen <holger@layer-acht.org>2013-01-10 13:55:31 +0100
commit01c571c28615bcf8b2fd05965b223d63d2454073 (patch)
tree8a05cdb2ab47b0330c21bf4239ccee7be7b36489
parente588be00e140f95fe4f93a27b1de3a54e82912f5 (diff)
downloadjenkins.debian.net-01c571c28615bcf8b2fd05965b223d63d2454073.tar.xz
g-i: treat failure to run dpkg as critical
-rwxr-xr-xbin/g-i-installation.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/g-i-installation.sh b/bin/g-i-installation.sh
index f02a57fe..258855a6 100755
--- a/bin/g-i-installation.sh
+++ b/bin/g-i-installation.sh
@@ -618,7 +618,7 @@ save_logs() {
#
# get list of installed packages
#
- sudo chroot $SYSTEM_MNT dpkg -l > $RESULTS/log/dpkg-l
+ sudo chroot $SYSTEM_MNT dpkg -l > $RESULTS/log/dpkg-l || ( echo "Error: cannot run dpkg inside the installed system." ; figlet "fail" )
#
# umount guests
#